#!/usr/bin/python

import SOAP

def echo(s):
    return s+s

class echoBuilder2:
    def echo2(self,val):
        return val*3
    
class echoBuilder:
    def __init__(self):
        self.prop = echoBuilder2()
        
    def echo(self, val):
        return val+val


o = echoBuilder()

def echo2(**kw):
    return kw['first'] + kw['second'] + kw['third']

server = SOAP.SOAPServer(('localhost',9900))
#server.registerFunction(o.echo)
server.registerObject(o)
# This requires keywords
#server.registerKWFunction(echo2)
server.serve_forever()

